#!/usr/bin/env python3

import pytest
import os
import pandas as pd

test_output_path = os.path.dirname(os.path.abspath(__file__)) + \
                '/../output/crossReads/'


@pytest.mark.singleend_human
def test_cross_plot_singleend_human():
    assert os.path.exists(os.path.join(test_output_path, 'ENCLB969KTX/ENCLB969KTX.cc.plot.pdf'))


@pytest.mark.singleend_human
def test_cross_qc_singleend_human():
    qc_file = os.path.join(test_output_path,"ENCLB622FZX/ENCLB622FZX.cc.qc")
    df_xcor = pd.read_csv(qc_file, sep="\t", header=None)
    assert df_xcor[2].iloc[0] == 0
    assert round(df_xcor[8].iloc[0],6) == 1.332028
    assert df_xcor[9].iloc[0] == 2.152459


@pytest.mark.pairedend_mouse
def test_cross_qc_pairedend_mouse():
    assert os.path.exists(os.path.join(test_output_path, 'ENCLB122XDP/ENCLB122XDP.cc.plot.pdf'))


@pytest.mark.pairedend_mouse
def test_cross_plot_pairedend_mouse():
    qc_file = os.path.join(test_output_path,"ENCLB749GLW/ENCLB749GLW.cc.qc")
    df_xcor = pd.read_csv(qc_file, sep="\t", header=None)
    assert df_xcor[2].iloc[0] == '0,65,75'
    assert df_xcor[8].iloc[0] == 1.55347
    assert df_xcor[9].iloc[0] == 1.285233
